Skip to main content
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<VaultAsset>> = fireblocks.vaults.getVaultAccountAsset(vaultsApiGetVaultAccountAssetRequest);
{
  "id": "<string>",
  "total": "<string>",
  "balance": "<string>",
  "available": "<string>",
  "pending": "<string>",
  "frozen": "<string>",
  "lockedAmount": "<string>",
  "staked": "<string>",
  "totalStakedCPU": "<string>",
  "totalStakedNetwork": "<string>",
  "selfStakedCPU": "<string>",
  "selfStakedNetwork": "<string>",
  "pendingRefundCPU": "<string>",
  "pendingRefundNetwork": "<string>",
  "blockHeight": "<string>",
  "blockHash": "<string>",
  "rewardsInfo": {
    "pendingRewards": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to return

assetId
string
required

The ID of the asset

Response

A VaultAsset object

id
string
total
string

The total wallet balance. In EOS this value includes the network balance, self staking and pending refund. For all other coins it is the balance as it appears on the blockchain.

balance
string
deprecated

Deprecated - replaced by "total"

available
string

Funds available for transfer. Equals the blockchain balance minus any locked amounts

pending
string

The cumulative balance of all transactions pending to be cleared

frozen
string

The cumulative frozen balance

lockedAmount
string

Funds in outgoing transactions that are not yet published to the network

staked
string

Staked balance

totalStakedCPU
string

Deprecated

totalStakedNetwork
string

Deprecated

selfStakedCPU
string

Deprecated

selfStakedNetwork
string

Deprecated

pendingRefundCPU
string

Deprecated

pendingRefundNetwork
string

Deprecated

blockHeight
string
blockHash
string
rewardsInfo
object